# Stock Summary

### Fields

| Field               | Type   | Description                  |
| ------------------- | ------ | ---------------------------- |
| beta                | Float  | Beta                         |
| actualOn            | String | Actual On Date               |
| closingPrice        | Float  | Share Price at Market Close  |
| currencyCode        | String | Currency Code                |
| day200MovingAvg     | Float  | 200-Day Moving Average       |
| day50MovingAvg      | Float  | 50-Day Moving Average        |
| day5ChangePercent   | Float  | 5-Day Change Percent         |
| marketcap           | Float  | Market capitalization        |
| month1ChangePercent | Float  | 1-Month Change Percent       |
| month3ChangePercent | Float  | 3-Month Change Percent       |
| month6ChangePercent | Float  | 6-Month Change Percent       |
| sharesOutstanding   | Float  | Number of Shares Outstanding |
| week52Change        | Float  | 52-Week Change               |
| week52High          | Float  | 52-Week High                 |
| week52Low           | Float  | 52-Week Low                  |
| year1ChangePercent  | Float  | 1-Year Change Percent        |
| year2ChangePercent  | Float  | 2-Year Change Percent        |
| year5ChangePercent  | Float  | 5-Year Change Percent        |
| ytdChangePercent    | Float  | YTD Change Percent           |

### Query example

```graphql
# query
query findCompanyByDomain($domain: String!) {
    company(domain: $domain) {
        stocksSummaries {
            closingDatetime
            marketcap
        }
        stocksSummary {
            beta
            actualOn
            closingPrice
            currencyCode            
            day200MovingAvg
            day50MovingAvg
            day5ChangePercent
            marketcap
            month1ChangePercent
            month3ChangePercent
            month6ChangePercent
            sharesOutstanding
            week52Change
            week52High
            week52Low
            year1ChangePercent
            year2ChangePercent
            year5ChangePercent
            ytdChangePercent
        }
    }
}

# variables
{ "domain": "meta.com" }
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.craft.co/company-data-api/data-points/financials/stock-summary.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
